Skip to main content
GET
/
manufacturers
/
type
/
{type_id}
Manufacturers by Type
curl --request GET \
  --url https://api.remapdb.com/v1/manufacturers/type/{type_id} \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": 1234,
      "name": "Aston Martin",
      "slug": "aston-martin",
      "logo": "https://cdn.remapdb.com/static/assets/vdb/logos/am.svg",
      "logo_dark": "https://cdn.remapdb.com/static/assets/vdb/logos/am.svg",
      "type": {
        "id": 1,
        "name": "Cars & LCV"
      }
    }
  ],
  "pagination": {
    "cursor": null,
    "limit": 50,
    "next_cursor": 1234,
    "has_more": true
  }
}

Authorizations

Authorization
string
header
required

All API methods require Bearer authentication. Use your existing API key as the bearer token.

Authorization header format: Authorization: Bearer YOUR_API_KEY.

Headers

Accept-Language
enum<string>

Method accept custom language. Content of the header should be the code of the language you are requesting. E.g.: en.

Available options:
bg,
da,
de,
en,
es,
et,
fi,
fr,
hr,
it,
lt,
lv,
nb,
nl,
nn,
pt,
ru,
sv,
tr,
zs
Example:

"en"

Path Parameters

type_id
integer<int32>
required

Vehicle type ID.

Required range: 1 <= x <= 2147483647
Example:

1

Query Parameters

cursor
integer<int32>

Pagination cursor. Omit for first page; pass the previous next_cursor for next page.

Required range: 0 <= x <= 2147483647
limit
integer<int32>
default:50

Number of items to return per page.

Required range: 1 <= x <= 100

Response

Success

items
Manufacturer · object[]
required
Maximum array length: 100
pagination
object
required